Can't Update/Install using Spritz [Solved]

Anything that pertains to Entropy, Equo or Sulfur

Moderator: Moderators

dave_p_b
Old Dear Hen
Posts: 607
Joined: Fri Dec 15, 2006 1:39
Location: Exeter, UK

Can't Update/Install using Spritz [Solved]

Post by dave_p_b » Sun May 10, 2009 13:40

Hi

I was just wandering if anyone else was having this problem before I submit a bug report.
I'm using the 0.91.1 version of equo/spritz. Every time I try to Update or Install a package I get a window appear (which usually shows any dependencies needed) and it's just blank. I then click the OK button and go to the part where you "Commit" the changes and that window is blank also.
Spritz throws the following error messages:

gtk.main_iteration()
Traceback (most recent call last):
File "/usr/lib/entropy/spritz/views.py", line 1076, in on_update_activate
self.on_install_update_activate(widget, "u")
File "/usr/lib/entropy/spritz/views.py", line 1094, in on_install_update_activate
self.add_to_queue(self.selected_objs, action)
File "/usr/lib/entropy/spritz/views.py", line 849, in add_to_queue
status, myaction = self.queue.add(objs)
File "/usr/lib/entropy/spritz/misc.py", line 300, in add
status = self.elaborateInstall(xlist,action,False,accept,always_ask)
File "/usr/lib/entropy/spritz/misc.py", line 465, in elaborateInstall
if dep_pkg.matched_atom not in mycache[dep_pkg.action]:
KeyError: None

Traceback (most recent call last):
File "/usr/lib/entropy/spritz/views.py", line 1084, in on_install_activate
self.on_install_update_activate(widget, "i")
File "/usr/lib/entropy/spritz/views.py", line 1094, in on_install_update_activate
self.add_to_queue(self.selected_objs, action)
File "/usr/lib/entropy/spritz/views.py", line 849, in add_to_queue
status, myaction = self.queue.add(objs)
File "/usr/lib/entropy/spritz/misc.py", line 300, in add
status = self.elaborateInstall(xlist,action,False,accept,always_ask)
File "/usr/lib/entropy/spritz/misc.py", line 465, in elaborateInstall
if dep_pkg.matched_atom not in mycache[dep_pkg.action]:
KeyError: None


Any one else with the same issues or shall I just submit a bug report.
btw: I'm using the latest version of Sabayon 4.1 kde

Thanks
Dave

joost
Sagely Hen
Posts: 2676
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands
Contact:

Re: Can't Update/Install using Spritz

Post by joost » Sun May 10, 2009 15:30

uhm we have a bugzilla for these kind of things.. just submit a bug.
Image
My blog | Twitter | Please support Sabayon: Image

dave_p_b
Old Dear Hen
Posts: 607
Joined: Fri Dec 15, 2006 1:39
Location: Exeter, UK

Re: Can't Update/Install using Spritz

Post by dave_p_b » Sun May 10, 2009 16:10

Hi joost. I'm going to send a bug report. I was just checking to see whether any one else had come across the same problem before i submited a report. Cheers dave :-)

lxnay
Land Owner
Posts: 3596
Joined: Thu Oct 13, 2005 23:16
Location: Italy
Contact:

Re: Can't Update/Install using Spritz

Post by lxnay » Sun May 10, 2009 17:58

I am not able to reproduce it, once you fill a bug, suggest a way to reproduce it
Image
Join us on IRC (chat.freenode.net #sabayon or WebChat)
Submit bugs to our Bug Tracker
Follow me on Twitter
Add me on Facebook
Add me on Google+

WarraWarra
Sagely Hen
Posts: 1989
Joined: Wed Jan 03, 2007 21:01
Location: 31.324270, -113.585511

Re: Can't Update/Install using Spritz

Post by WarraWarra » Sun May 10, 2009 19:40

You could do a few things that could fix it.

The line numbers if they are the same to other versions or the current version of sprtiz / equo / entropy then there should not be issues.

Likely then something like installing pygtk / python or reinstalling spritz or revdep-rebuild -iv or equo libtest ; equo deptest could possibly fix it.

Also try to check the date since this has happened and what was installed or changed on your system to narrow down to software or events.

Try to downgrade to older version and see if it does the same if not try to upgrade to same or newer version and see if same problem if not then likely a dependency somewhere that was busted.
If the older = good and newer keeps doing the sme problem then newer code needs adjustment.

Hope this helps get the bug.

joost
Sagely Hen
Posts: 2676
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands
Contact:

Re: Can't Update/Install using Spritz

Post by joost » Sun May 10, 2009 20:16

I was able to reproduce this once, right after syncing repositories
-> click available tab
-> search for eric
-> mark eric python IDE for install

I got this same blank screen and nothing got into package queue
When i tried to reproduce it again, it just worked.
Image
My blog | Twitter | Please support Sabayon: Image

lxnay
Land Owner
Posts: 3596
Joined: Thu Oct 13, 2005 23:16
Location: Italy
Contact:

Re: Can't Update/Install using Spritz

Post by lxnay » Mon May 11, 2009 7:29

Nope, not reproduced yet.
Anyway, this this and see if it helps:
http://gitweb.sabayon.org/?p=entropy.gi ... 399d864694
Image
Join us on IRC (chat.freenode.net #sabayon or WebChat)
Submit bugs to our Bug Tracker
Follow me on Twitter
Add me on Facebook
Add me on Google+

dave_p_b
Old Dear Hen
Posts: 607
Joined: Fri Dec 15, 2006 1:39
Location: Exeter, UK

Re: Can't Update/Install using Spritz

Post by dave_p_b » Mon May 11, 2009 12:38

Hi

Thanks for all your answers. I've tried them all but no luck. I thought I'd give you a quick update though.
Remember it's only Spritz that doesn't work properly, equo entropy are fine.

I've figured out what it is. because I use Portage occasionally, to obtain newer versions of programs that aren't in equo, I changed the "ignore-spm-downgrades|enable" variable in the /etc/entropy/client.conf file. This seems to mess up Spritz. I change the setting to "disable" and everything is back to normal again.

I'm not sure if you still want me to submit a bug report lxnay ?

Thanks for all your help, hopefully this will be fixed soon :wink:

All the best

Dave

joost
Sagely Hen
Posts: 2676
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands
Contact:

Re: Can't Update/Install using Spritz

Post by joost » Mon May 11, 2009 12:49

Code: Select all

xbox-360 joost # cat /etc/entropy/client.conf | grep ignore-spm-downgrades
ignore-spm-downgrades|disable
My setting
Image
My blog | Twitter | Please support Sabayon: Image

lxnay
Land Owner
Posts: 3596
Joined: Thu Oct 13, 2005 23:16
Location: Italy
Contact:

Re: Can't Update/Install using Spritz

Post by lxnay » Mon May 11, 2009 13:02

Sure thing is that there's no relation between that setting and Spritz bailing out that way. Have you tried appling the patch I linked?
Image
Join us on IRC (chat.freenode.net #sabayon or WebChat)
Submit bugs to our Bug Tracker
Follow me on Twitter
Add me on Facebook
Add me on Google+

Post Reply